Bug 509274 - xrandr reports wrong refresh rates for nvidia closed-source driver system
xrandr reports wrong refresh rates for nvidia closed-source driver system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXrandr (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 20:34 EDT by Randy Yates
Modified: 2014-06-18 05:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Yates 2009-07-01 20:34:58 EDT
Description of problem:
The available refresh rates show for a specific resolution in xrandr do
not correspond to the true refresh rates as identified by the nvidia
closed-source driver UI configuration app "nvidia-settings".

Version-Release number of selected component (if applicable):

[yates@localhost ~]$ xrandr -v
Server reports RandR version 1.3

How reproducible:

On my system, very reproducible.

Steps to Reproduce:
1. Install F11 x86-64
2. Install akmod-nvidia, reboot
3. run xrandr and observe output:

[yates@localhost ~]$ xrandr
Screen 0: minimum 320 x 175, current 2048 x 1536, maximum 2048 x 1536
default connected 2048x1536+0+0 0mm x 0mm
   2048x1536      50.0     51.0     52.0     53.0    104.0* 
   1920x1440      54.0     55.0     56.0  
   1856x1392      57.0     58.0  
   1792x1344      59.0     60.0  
   1600x1200      61.0     62.0     63.0     64.0     65.0  
   1400x1050      66.0     67.0  
   1280x1024      68.0     69.0     70.0  
   1280x960       71.0     72.0  
   1152x864       73.0  
   1024x768       74.0     75.0     76.0     77.0     78.0  
   832x624        79.0  
   800x600        80.0     81.0     82.0     83.0     84.0     85.0  
   720x400        86.0  
   700x525        87.0     88.0  
   640x480        89.0     90.0     91.0     92.0     93.0     94.0  
   640x400        95.0  
   640x350        96.0  
   512x384        97.0     98.0     99.0  
   400x300       100.0  
   320x240       101.0    102.0  
   320x175       103.0  

  
Actual results:

The nvidia-settings driver allows refresh rates of 80/75/60 Hz for 2048x1536 resolution, as
supported by the Philips 202P4 monitor I am using.

Expected results:

An 80, 75, and 60 Hz refresh rate would be permitted.

Additional info:

[yates@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.29.5-191.fc11.x86_64 #1 SMP Tue Jun 16 23:23:21 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

[root@localhost httpd]# yum info -v akmod-nvidia
Not loading "blacklist" plugin, as it is disabled
Loading "refresh-packagekit" plugin
Not loading "whiteout" plugin, as it is disabled
Config time: 0.235
Yum Version: 3.2.23
Setting up Package Sacks
pkgsack time: 0.020
rpmdb time: 0.028
Installed Packages
Name       : akmod-nvidia
Arch       : x86_64
Version    : 185.18.14
Release    : 1.fc11
Size       : 5.6 M
Repo       : installed
From repo  : rpmfusion-nonfree-updates
Committer  : kwizart < kwizart at gmail.com >
Committime : Fri Jun  5 08:00:00 2009
Buildtime  : Fri Jun  5 16:07:56 2009
Installtime: Tue Jun 16 16:14:59 2009
Summary    : Akmod package for nvidia kernel module(s)
URL        : http://www.nvidia.com/
License    : Redistributable, no modification permitted
Description: This package provides the akmod package for the nvidia kernel modules.
Comment 1 Randy Yates 2009-07-01 20:41:51 EDT
Note that apparently gnome-display-properties relies on xrandr, so it also reports the incorrect refresh rates.
Comment 2 Bug Zapper 2010-04-27 11:24:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:25:27 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.